Summary: The Griffon Legend - a game for ScummVM
Name: griffon-legend
Version: 1.0
Release: 1%{?dist}
License: unknown
Group: Amusements/Games
Source0: griffon-%{version}.zip
Source1: %{name}.png
Source2: %{name}.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: scummvm
BuildRequires: unzip
BuildArch: noarch

%description
500 years after the Griffon-Dragon war, the Dragons have returned to
reclaim their empire. Cities are falling, everyone is dieing, and the
lone Griffon Knight Fayne is caught up in the middle of it all.

%prep
%setup -q -n %{name}-%{version} -c
find . -type f -print0 | xargs -r0 chmod a-x

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/games/%{name}
cp -a * $RPM_BUILD_ROOT/usr/share/games/%{name}/
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
cp -a %{SOURCE1} $RPM_BUILD_ROOT/usr/share/pixmaps/
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
cp -a %{SOURCE2} $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%{name}
mv $RPM_BUILD_ROOT/usr/share/games/%{name}/readme.txt \
   $RPM_BUILD_ROOT/usr/share/doc/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/share/games/%{name}
/usr/share/pixmaps/%{name}.png
/usr/share/applications/%{name}.desktop
%doc /usr/share/doc/%{name}

%changelog
* Mon May 22 2023 Philippe Troin <phil@fifi.org> - 1.0-1
- Created.
